Subject: Re: CYGWIN I/O port functions
From: Marcel Telka <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 27 Aug 2002 09:34:43 +0200

Napísané dňa 27.08.2002 09:18:54 +0200, (autor: Jacek Trzcinski):
> Dnia Wto 27. Sierpień 2002 08:50, Marcel Telka napisał:
>> Napísané dňa 26.08.2002 15:51:11 +0200, (autor: Lior Kauffman):
>> > Hi Experts,
>> >
>> > I would like to ask - what are the CYGWIN functions analogue to the
> LINUX
>> > I/O port functions - outb(y,x), inb(x) ?
>> >
>> > Thanks in advance for any clue,
>> 
>> Please see http://sources.redhat.com/ml/cygwin/2002-07/msg01533.html
>> 
>> Regards.
> Hi !
> As I know (maybe I 'm wrong) we avoid in Cygwin to utilize low level
> device
> drivers. It is obvious that access to I/O ports require specjal Widows
> device
> driver but seems to be relatively simple in use only under versions of NT
> which do not require system rebooting after such driver installation (XP
> for
> example).  From this reason I do not think it may be placed in Cygwin
> distribution.

Ok. ioperm-0.1 is not (yet :-) included in the net distribution and there 
is no pending request to include it. So, there is no problem IMHO :-).

Regards.

-- 
+-------------------------------------------+
| Marcel Telka   e-mail:   [email-masked]  |
|                homepage: http://telka.sk/ |
|                jabber:   [email-masked] |
+-------------------------------------------+

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/